<?php
/**
 * WooCommerce Settings
 *
 * @package lawyer_consultant_firm
 */

$wp_customize->add_section(
	'lawyer_consultant_firm_woocommerce_settings',
	array(
		'panel' => 'lawyer_consultant_firm_theme_options',
		'title' => esc_html__( 'WooCommerce Settings', 'lawyer-consultant-firm' ),
	)
);

//WooCommerce - Products per page.
$wp_customize->add_setting( 'lawyer_consultant_firm_products_per_page', array(
    'default'           => 9,
    'sanitize_callback' => 'absint',
));

$wp_customize->add_control( 'lawyer_consultant_firm_products_per_page', array(
    'type'        => 'number',
    'section'     => 'lawyer_consultant_firm_woocommerce_settings',
    'label'       => __( 'Products Per Page', 'lawyer-consultant-firm' ),
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 50,
        'step' => 1,
    ),
));

//WooCommerce - Products per row.
$wp_customize->add_setting( 'lawyer_consultant_firm_products_per_row', array(
    'default'           => '3',
    'sanitize_callback' => 'lawyer_consultant_firm_sanitize_choices',
) );

$wp_customize->add_control( 'lawyer_consultant_firm_products_per_row', array(
    'label'    => __( 'Products Per Row', 'lawyer-consultant-firm' ),
    'section'  => 'lawyer_consultant_firm_woocommerce_settings',
    'settings' => 'lawyer_consultant_firm_products_per_row',
    'type'     => 'select',
    'choices'  => array(
        '2' => '2',
		'3' => '3',
		'4' => '4',
    ),
) );

//WooCommerce - Show / Hide Related Product.
$wp_customize->add_setting(
	'lawyer_consultant_firm_related_product_show_hide',
	array(
		'default'           => true,
		'sanitize_callback' => 'lawyer_consultant_firm_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Lawyer_Consultant_Firm_Toggle_Switch_Custom_Control(
		$wp_customize,
		'lawyer_consultant_firm_related_product_show_hide',
		array(
			'label'   => esc_html__( 'Show / Hide Related product', 'lawyer-consultant-firm' ),
			'section' => 'lawyer_consultant_firm_woocommerce_settings',
		)
	)
);

// WooCommerce - Product Sale Position.
$wp_customize->add_setting(
	'lawyer_consultant_firm_product_sale_position', 
	array(
		'default' => 'left',
		'sanitize_callback' => 'sanitize_text_field',
));

$wp_customize->add_control(
	'lawyer_consultant_firm_product_sale_position', 
	array(
		'label' => __('Product Sale Position', 'lawyer-consultant-firm'),
		'section' => 'lawyer_consultant_firm_woocommerce_settings',
		'settings' => 'lawyer_consultant_firm_product_sale_position',
		'type' => 'radio',
		'choices' => 
	array(
		'left' => __('Left', 'lawyer-consultant-firm'),
		'right' => __('Right', 'lawyer-consultant-firm'),
	),
));

// WooCommerce Pages Product Border Radius
$wp_customize->add_setting(
	'lawyer_consultant_firm_woocommerce_product_border_radius',
	array(
		'default'           => 3,
		'sanitize_callback' => 'lawyer_consultant_firm_sanitize_range_value',
	)
);
$wp_customize->add_control(
	new Lawyer_Consultant_Firm_Customize_Range_Control(
		$wp_customize,
		'lawyer_consultant_firm_woocommerce_product_border_radius',
		array(
			'label'       => __( 'Product Border Radius Setting', 'lawyer-consultant-firm' ),
			'description' => __( 'Adjust the border radius of WooCommerce product boxes.', 'lawyer-consultant-firm' ),
			'section'     => 'lawyer_consultant_firm_woocommerce_settings',
			'settings'    => 'lawyer_consultant_firm_woocommerce_product_border_radius',
			'input_attrs' => array(
				'min'  => 0,
				'max'  => 50,
				'step' => 1,
			),
		)
	)
);